/*****
 * PUT IT AT THE VERY END OF THE BODY!
 * also change textOptions for each dialogue ;3
 ****/

// Get references to the elements
const textElement = document.getElementById('text');
const nameElement = document.getElementById('name');
const picElement = document.getElementById('picture');
const picture = document.getElementById('picture');
const button = document.getElementById('change');
const resetButton = document.getElementById('reset');

// Defines the picture margins
const basilMargin = "248px";
const kelMargin = "265.75px";
const aubreyMargin = "233px";
const heroMargin = "254px";
const mariMargin = "";

// Define an array of text options
const textOptions = [
    'Hi, SUNNY.',
    'You found your way back home.',
    'I don\'t know if I\'ve ever said this properly, but... I\'m sorry for causing you so much trouble.',
    'When I gave you my PHOTO ALBUM... I really did want you to have it.',
    'But somehow... whenever I try to help... I always end up burdening you instead.',
    'Even back then...',
    '...',
    'All this pain we\'ve been feeling... The guilt in our hearts...',
    'Even if you try to bottle it all up... it all comes out somehow.',
    'I want to say that everything will be okay. That we have no choice, but to carry on.',
    'But... that\'s up to you.',
    'AUBREY, KEL, and HERO are good friends. You have to trust they\'ll forgive us.',
    'It\'s hard to truly believe that... but...',
    'The photos in our album... They\'re not just photos. They\'re real memories.',
    'Our memories! It\'s proof of our friendship!',
    'Hold those pictures close... and remember what you want to protect.',
    'Haha... I\'m sorry... It looks like I\'m burdening you again.',
    'The path to your future will open soon, but only you can decide what to do in the end.',
    'It\'s not much, but... I\'ll be cheering you on.',
    'SUNNY...',
    'Let\'s make some new memories together, okay?'
];
let currentTextIndex = 0;
const nameOptions = ['BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL',];
let currentNameIndex = 0;
const picOptions = ['rwBasil1.png', 'rwBasil2.png', 'rwBasil3.png', 'rwBasil4.png', 'rwBasil5.png', 'rwBasil6.png', 'rwBasil7.png', 'rwBasil5.png', 'rwBasil4.png', 'rwBasil3.png', 'rwBasil1.png', 'rwBasil2.png', 'rwBasil6.png', 'rwBasil2.png', 'rwBasil8.png', 'rwBasil2.png', 'rwBasil1.png', 'rwBasil3.png', 'rwBasil2.png', 'rwBasil1.png', 'rwBasil1.png'];
let currentPicIndex = 0;

// Function to handle button click
function changeClick() {
    // Increment the index or stop at the last index
    if (currentTextIndex < textOptions.length - 1) {
        currentTextIndex++;
        currentNameIndex++;
        currentPicIndex++;
    } else {
        // Disable the button to stop further progression
        button.disabled = true;
        button.style.display = "none";
        resetButton.style.display = "flex";
    }

    // Update the text
    textElement.textContent = textOptions[currentTextIndex];
    nameElement.textContent = nameOptions[currentNameIndex];
    picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

}

// Function to reset the index
function resetClick() {
    currentTextIndex = 0;
    currentNameIndex = 0;
    currentPicIndex = 0;
    picture.style.marginLeft = basilMargin;
    textElement.textContent = textOptions[currentTextIndex];
    nameElement.textContent = nameOptions[currentNameIndex];
    picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

    button.style.display = "flex";
    resetButton.style.display = "none";

    button.disabled = false;
}

// Add event listener to the button
button.addEventListener('click', changeClick);
resetButton.addEventListener('click', resetClick);

// Initial styling to have the reset button hidden
resetButton.style.display = "none";

// Makes sure this is changed to whoever is the initial picture
picture.style.marginLeft = basilMargin;
picElement.style.backgroundImage = `url(rwBasil1.png)`;
