/*****
 * PUT IT AT THE VERY END OF THE BODY!
 * also change textOptions for each dialogue ;3
 ****/

// Get references to the elements
const textElement = document.getElementById('text');
const nameElement = document.getElementById('name');
const picElement = document.getElementById('picture');
const picture = document.getElementById('picture');
const button = document.getElementById('change');
const resetButton = document.getElementById('reset');

// Defines the picture margins
const basilMargin = "248px";
const kelMargin = "265.75px";
const aubreyMargin = "233px";
const heroMargin = "254px";
const mariMargin = "";

// Define an array of text options
const textOptions = [
    'These are roses! Can you guess who they remind me of?',
    '... They remind me of HERO! Did you guess correctly?',
    'Roses come in many different colors and have their own unique meanings.',
    'Pink roses symbolize admiration... Orange roses symbolize passion...',
    'Yellow roses symbolize friendship... and the list goes on!',
    'Hero doesn\'t remind me of any rose in particular.',
    'I think HERO is like all roses, because he\'s versatile and universally loved!'
];
let currentTextIndex = 0;
const nameOptions = ['BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL', 'BASIL'];
let currentNameIndex = 0;
const picOptions = ['dwBasil2.png', 'dwBasil3.png', 'dwBasil2.png', 'dwBasil1.png', 'dwBasil1.png', 'dwBasil3.png', 'dwBasil3.png'];
let currentPicIndex = 0;

// Function to handle button click
function changeClick() {
    // Increment the index or stop at the last index
    if (currentTextIndex < textOptions.length - 1) {
        currentTextIndex++;
        currentNameIndex++;
        currentPicIndex++;
    } else {
        // Disable the button to stop further progression
        button.disabled = true;
        button.style.display = "none";
        resetButton.style.display = "flex";
    }

    // Update the text
    textElement.textContent = textOptions[currentTextIndex];
    nameElement.textContent = nameOptions[currentNameIndex];
    picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

}

// Function to reset the index
function resetClick() {
    currentTextIndex = 0;
    currentNameIndex = 0;
    currentPicIndex = 0;
    picture.style.marginLeft = basilMargin;
    textElement.textContent = textOptions[currentTextIndex];
    nameElement.textContent = nameOptions[currentNameIndex];
    picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

    button.style.display = "flex";
    resetButton.style.display = "none";

    button.disabled = false;
}

// Add event listener to the button
button.addEventListener('click', changeClick);
resetButton.addEventListener('click', resetClick);

// Initial styling to have the reset button hidden
resetButton.style.display = "none";

// Makes sure this is changed to whoever is the initial picture
picture.style.marginLeft = basilMargin;
picElement.style.backgroundImage = `url(dwBasil2.png)`;