/*****
 * PUT IT AT THE VERY END OF THE BODY!
 * also change textOptions for each dialogue ;3
 ****/

// Get references to the elements
const textElement = document.getElementById('text');
const nameElement = document.getElementById('name');
const picElement = document.getElementById('picture');
const picture = document.getElementById('picture');
const button = document.getElementById('change');
const resetButton = document.getElementById('reset');

// Defines the picture margins
const basilMargin = "248px";
const kelMargin = "265.75px";
const aubreyMargin = "233px";
const heroMargin = "254px";
const mariMargin = "";

// Define an array of text options
const textOptions = [
    'What! You\'re buying soda but you\'re passing on good ol\' ORANGE JOE? How could you!?',
    'Eww! You still drink ORANGE JOE!? It\'s so grossly sweet... like it was made for babies!',
    'Oh yeah? If it was made for babies, why would it contain... 150mg of caffeine per can!?',
    'Tsk, tsk... Do your research, AUBREY!',
    'Hmph... Whatever! Everyone knows ORANGE JOE tastes putrid.',
    'You\'re probably the only person in the world who buys this crap.',
    'Well, now you\'re getting personal! How dare you insult my dear friend ORANGE JOE!',
    'When was the last time you even tried it!? Urg... I\'ll show you!',
    'KEL! W-What are you doing!?',
    '...',
    'Hey... This can\'s design is from like 5 years ago... and... it\'s expired...',
    'I told you... No one buys this stuff...',
    'Worry not, my dear friend ORANGE JOE... No matter what, I\'ll still drink you!',
    'Mmmmmmmmm... Delicious...',
    'You\'re... gross...'
];
let currentTextIndex = 0;
const nameOptions = ['KEL', 'AUBREY', 'KEL', 'KEL', 'AUBREY', 'AUBREY', 'KEL', 'KEL', 'AUBREY', 'AUBREY', 'KEL', 'AUBREY', 'KEL', 'KEL', 'AUBREY'];
let currentNameIndex = 0;
const picOptions = ['rwKel11.png', 'rwAubrey5.png', 'rwKel10.png', 'rwKel10.png', 'rwAubrey3.png', 'rwAubrey3.png', 'rwKel12.png', 'rwKel12.png', 'rwAubrey7.png', 'rwAubrey7.png', 'rwKel6.png', 'rwAubrey3.png', 'rwKel3.png', 'rwKel14.png', 'rwAubrey6.png'];
let currentPicIndex = 0;

// Function to handle button click
function changeClick() {
    // Increment the index or stop at the last index
    if (currentTextIndex < textOptions.length - 1) {
        currentTextIndex++;
        currentNameIndex++;
        currentPicIndex++;
    } else {
        // Disable the button to stop further progression
        button.disabled = true;
        button.style.display = "none";
        resetButton.style.display = "flex";
    }

    // Update the text
    textElement.textContent = textOptions[currentTextIndex];
    nameElement.textContent = nameOptions[currentNameIndex];
    picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

    switch (currentNameIndex) {
        // Kel
        case 0:
            picture.style.marginLeft = kelMargin;
            break;
        case 2:
            picture.style.marginLeft = kelMargin;
            break;
        case 3:
            picture.style.marginLeft = kelMargin;
            break;
        case 6:
            picture.style.marginLeft = kelMargin;
            break;
        case 7:
            picture.style.marginLeft = kelMargin;
            break;
        case 10:
            picture.style.marginLeft = kelMargin;
            break;
        case 12:
            picture.style.marginLeft = kelMargin;
            break;
        case 13:
            picture.style.marginLeft = kelMargin;
            break;
        // Aubrey
        case 1:
            picture.style.marginLeft = aubreyMargin;
            break;
        case 4:
            picture.style.marginLeft = aubreyMargin;
            break;
        case 5:
            picture.style.marginLeft = aubreyMargin;
            break;
        case 8:
            picture.style.marginLeft = aubreyMargin;
            break;
        case 9:
            picture.style.marginLeft = aubreyMargin;
            break;
        case 11:
            picture.style.marginLeft = aubreyMargin;
            break;
        case 14:
            picture.style.marginLeft = aubreyMargin;
            break;
    }
}

// Function to reset the index
function resetClick() {
    currentTextIndex = 0;
    currentNameIndex = 0;
    currentPicIndex = 0;
    picture.style.marginLeft = kelMargin;
    textElement.textContent = textOptions[currentTextIndex];
    nameElement.textContent = nameOptions[currentNameIndex];
    picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

    button.style.display = "flex";
    resetButton.style.display = "none";

    button.disabled = false;
}

// Add event listener to the button
button.addEventListener('click', changeClick);
resetButton.addEventListener('click', resetClick);

// Initial styling to have the reset button hidden
resetButton.style.display = "none";

// Makes sure this is changed to whoever is the initial picture
picture.style.marginLeft = kelMargin;
picElement.style.backgroundImage = `url(rwKel11.png)`;
