var quotes = [];
quotes.push("I am not Covetous, but as Ambitious as ever any of my Sex was, is, or can be; which is the cause, That though I cannot be Henry the Fifth, or Charles the Second; yet, I will endeavour to be, Margaret the First: and, though I have neither Power, Time nor Occasion, to be a great Conqueror, like Alexander, or Cesar; yet, rather than not be Mistress of a World, since Fortune and the Fates would give me none, I have made One of my own.");
quotes.push("The rest of the Inhabitants of that World, were men of several different sorts, shapes, figures, dispositions, and humors, as I have already made mention, heretofore; some were Bear-men, some Worm-men, some Fish- or Mear-men, otherwise called Syrens; some Bird-men, some Fly-men, some Ant-men, some Geese-men, some Spider-men, some Lice-men, some Fox-men, some Ape-men, some Jack daw-men, some Magpie-men, some Parrot-men, some Satyrs, some Gyants, and many more, which I cannot all remember.");
quotes.push("The Bear-men being exceedingly troubled at her Majesties displeasure concerning their Telescopes, kneel'd down, and in the humblest manner petitioned, that they might not be broken; for, said they, we take more delight in Artificial delusions, then in Natural truths. Besides, we shall want Imployments for our Senses, and Subjects for Arguments; for, were there nothing but truth, and no falshood, there would be no occasion to dispute, and by this means we should want the aim and pleasure of our endeavors in confuting and contradicting each other; neither would one man be thought wiser then another, but all would either be alike knowing and wise, or all would be fools.");
quotes.push("I find, that Nature is but one Infinite Self-moving Body, which by the vertue of its self-motion, is divided into Infinite parts, which parts being restless, undergo perpetual changes and transmutations by their infinite compositions and divisions. <br /><br /><em>[Or, as some future philosopher will say, Infinite Diversity in Infinite Combinations. I think Star Trek would have delighted Margaret Cavendish. -- CB]</em>");
quotes.push("At which the Empress appear'd not a little troubled, and told them, That they followed too much the Rules of Art, and confounded themselves with too nice formalities and distinctions; but since I know, said she, that you are a people who have naturally voluble tongues, and good memories; I desire you to consider more the subject you speak of, then your artificial periods, connexions and parts of speech, and leave the rest to your natural Eloquence; which they did, and so became very eminent Orators.");
quotes.push("Alas! said the Duchess, Spirits are as ignorant as Mortals in many cases; for no created Spirits have a general or absolute knowledg, nor can they know the Thoughts of Men, much less the Mysteries of the great Creator, unless he be pleased to inspire into them the gift of Divine Knowledg.");
quotes.push("But, said she, If your Majesty were resolved to make a Cabbala, I would advise you, rather to make a Poetical or Romancical Cabbala, wherein you may use Metaphors, Allegories, Similitudes, &c. and interpret them as you please.");
quotes.push("But we wonder, proceeded the Spirits, that you desire to be Empress of a Terrestrial World, when as you can create your self a Cœlestial World if you please. What, said the Empress, can any Mortal be a Creator? Yes, answered the Spirits; for every human Creature can create an Immaterial World fully inhabited by Immaterial Creatures, and populous of Immaterial subjects, such as we are, and all this within the compass of the head or scull.");
quotes.push("At last, when the Duchess saw that no patterns would do her any good in the framing of her World; she was resolved to make a World of her own Invention, and this World was composed of sensitive and rational self-moving Matter; indeed, it was composed onely of the Rational, which is the subtilest and purest degree of Matter; for as the Sensitive did move and act both to the perceptions and consistency of the body, so this degree of Matter at the same point of time (for though the degrees are mixt, yet the several parts may move several ways at one time) did move to the Creation of the Imaginary World; which World after it was made, appear'd so curious and full of variety, so well order'd and wisely govern'd, that it cannot possibly be expressed by words, nor the delight and pleasure which the Duchess took in making this World-of-her-own.");
quotes.push("But that she wonder'd most at, was, that they should prize or value dirt more then mens lives, and vanity more then tranquility.");
quotes.push("Fear, though it makes people obey, yet does it not last so long, nor is it so sure a means to keep them to their duties, as Love.");
quotes.push("The Duchess of Newcastle intreated her Majesty to abate her passion; for, said she, Great Councels are most commonly slow, because many men have many several Opinions: besides, every Councellor striving to be the wisest, makes long speeches, and raise many doubts, which cause retardments. If I had long-speeched Councellors, replied the Empress, I would hang them, by reason they give more Words, then Advice.");
quotes.push("[The Empress said of people] that much Gold, and great store of Riches, makes them mad; insomuch as they endeavour to destroy each other for Gold or Riches sake. The reason thereof is, said the Duchess, that they have too little Gold and Riches, which makes them so eager to have it. No, replied the Empress's Soul, their particular Covetousness, is beyond all the wealth of the richest World, and the more Riches they have, the more Covetous they are; for their Covetousness is Infinite.");
quotes.push("The Duchess's Soul answered, she confessed that it was extravagant, and beyond what was usual and ordinary: but yet her ambition being such, that she would not be like others in any thing, if it were possible, I endeavour, said she, to be as singular as I can: for, it argues but a mean Nature, to imitate others: and though I do not love to be imitated, if I can possibly avoid it; yet, rather than imitate others, I should chuse to be imitated by others: for my Nature is such, that I had rather appear worse in Singularity, than better in the Mode.");
quotes.push("Why then, replied the Emperor, the natural Humours, Actions and Fortunes of Mankind, are not done by the Rules of Art: But, said the Duchess, it is the Art and Method of our Wits to despise all Descriptions of Wit, Humour, Actions and Fortunes that are without such Artificial Rules. The Emperor asked, Are those good Plays that are made so Methodically and Artificially? The Duchess answer'd, They were Good according to the Judgment of the Age, or Mode of the Nation, but not according to her Judgment: for truly, said she, in my Opinion, their Plays will prove a Nursery of whining Lovers, and not an Academy or School for Wise, Witty, Noble and well-behaved men.");
quotes.push("[The creation of the Blazing World] was more easily and suddenly effected, than the Conquests of the two famous Monarchs of the World. Alexander and Cesar. Neither have I made such disturbances, and caused so many dissolutions of particulars, otherwise named deaths, as they did.");
quotes.push("And in the formation of those Worlds, I take more delight and glory, then ever Alexander or Cesar did in conquering this terrestrial world;");

function randomIntInRange(min, max) {
	min = Math.ceil(min);
	max = Math.floor(max);
	return Math.floor(Math.random() * (max - min + 1) + min);
}

function quotate() {
	var idxControl = document.getElementById("idx");
	var quoteDiv = document.getElementById("cquote");
	var current_idx = -1;
	if (idxControl.value !== "") {
		current_idx = parseInt(idxControl.value);
	}
	new_idx = randomIntInRange(0, quotes.length - 1);
	while (new_idx === current_idx) {
		new_idx = randomIntInRange(0, quotes.length - 1);
	}
	var text = quotes[new_idx];
	quoteDiv.innerHTML = text;
	idxControl.value = new_idx.toString();
}