/*****
 * PUT IT AT THE VERY END OF THE BODY!
 * also change textOptions for each dialogue ;3
 ****/

// Get references to the elements
const textElement = document.getElementById('text');
const nameElement = document.getElementById('name');
const picElement = document.getElementById('picture');
const picture = document.getElementById('picture');
const button = document.getElementById('change');
const resetButton = document.getElementById('reset');

// Defines the picture margins
const basilMargin = "248px";
const kelMargin = "265.75px";
const aubreyMargin = "233px";
const heroMargin = "254px";
const mariMargin = "";

// Define an array of text options
const textOptions = [
    'What the-? W-What the heck are you guys doing here!?',
    'We want you to give back BASIL\'s PHOTO ALBUM!',
    'You\'re still on about that? That\'s none of your business.',
    'Really? None of my business?',
    'We all used to be best friends, but now, this is none of my business?',
    'Yeah, KEL... Exactly. We used to be friends...',
    '...',
    'You know, MARI would be really sad to hear that.',
    'Heh... Really? You really wanna bring MARI into this?',
    'Who cares what MARI thinks? MARI\'s dead.',
    'AUBREY, seriously!? What\'s wrong with you?',
    '... I get that you have new friends now, but you can\'t just forget your old friends like this!',
    'My old friends?',
    '...',
    'My old friends weren\'t there for me when I needed them.',
    'So that\'s what this is all about...',
    'When MARI... passed on... we were all dealing with our own stuff. We were kids. It was hard!',
    'You think it\'s all so simple. You\'ve always been simple, KEL.',
    'So what if I am? I\'d rather be simple than be like you!',
    'How could you do that to BASIL? You know how important his PHOTO ALBUM is to him!',
    'It\'s important to all of us...',
    'That doesn\'t mean you can just steal it!',
    'Is that what BASIL told you!? I\'m the one keeping it safe.',
    'What are you talking about?',
    'That PHOTO ALBUM belongs to BASIL and I\'m not leaving until you agree to give it back!',
    'Ugh... You\'re so persistent.',
    'When MARI died, you moved on so fast.',
    'You know why I come here every week?',
    'Even after all this time, I\'m still trying to find some peace...',
    'but it doesn\'t look like that\'s happening today.',
    'We haven\'t talked in four years, KEL. A lot changes in four years.',
    'You and SUNNY think you can just barge back into my life and tell me what to do? Don\'t be so naive!',
    'You might look different and act different, AUBREY... but you\'re still the same person.',
    'Hmph... The AUBREY you knew is long gone. And the AUBREY that was your friend... She\'s long gone, too.',
    '...',
    'Okay, fine. I get that you\'re angry.',
    'Look, if it\'s an apology you want, here. I\'m sorry, okay?',
    'I should have been there for you when we lost MARI.',
    '...',
    '... ... ... ... ... ... ... ... ...',
    'No. I won\'t accept this.',
    'Wait! Where are you going!?',
    'I can\'t let you go until you promise me you\'ll give BASIL his PHOTO ALBUM back, you thief!',
    '...',
    'You think you\'re the good guy, don\'t you KEL?',
    'And I\'m the big, bad bully... here to terrorize poor, defenseless BASIL.',
    'You\'re the one hanging out with the psychopath who carries around a knife!',
    'Now\'s not the time to do this, AUBREY...',
    'You don\'t get to say that! You\'re the one who barged in here!',
    'I already said I was sorry for everything!',
    'If you want me to be a bully... THEN I\'LL BE A BULLY!!',
    'You two better come at me quick... OR I\'LL COME AT YOU FIRST!!'
];
let currentTextIndex = 0;
const nameOptions = [
    'AUBREY',
    'KEL',
    'AUBREY',
    'KEL',
    'KEL',
    'AUBREY',
    'KEL',
    'KEL',
    'AUBREY',
    'AUBREY',
    'KEL',
    'KEL',
    'AUBREY',
    'AUBREY',
    'AUBREY',
    'KEL',
    'KEL',
    'AUBREY',
    'KEL',
    'KEL',
    'AUBREY',
    'KEL',
    'AUBREY',
    'KEL',
    'KEL',
    'AUBREY',
    'AUBREY',
    'AUBREY',
    'AUBREY',
    'AUBREY',
    'AUBREY',
    'AUBREY',
    'KEL',
    'AUBREY',
    'KEL',
    'KEL',
    'KEL',
    'KEL',
    'AUBREY',
    'AUBREY',
    'AUBREY',
    'KEL',
    'KEL',
    'AUBREY',
    'AUBREY',
    'AUBREY',
    'AUBREY',
    'KEL',
    'AUBREY',
    'KEL',
    'AUBREY',
    'AUBREY'
];
let currentNameIndex = 0;
const picOptions = [
    'rwAubrey6.png',
    'rwKel12.png',
    'rwAubrey1.png',
    'rwKel11.png',
    'rwKel11.png',
    'rwAubrey1.png',
    'rwKel8.png',
    'rwKel9.png',
    'rwAubrey11.png',
    'rwAubrey3.png',
    'rwKel12.png',
    'rwKel10.png',
    'rwAubrey4.png',
    'rwAubrey4.png',
    'rwAubrey1.png',
    'rwKel9.png',
    'rwKel8.png',
    'rwAubrey3.png',
    'rwKel12.png',
    'rwKel12.png',
    'rwAubrey3.png',
    'rwKel12.png',
    'rwAubrey5.png',
    'rwKel12.png',
    'rwKel12.png',
    'rwAubrey4.png',
    'rwAubrey1.png',
    'rwAubrey3.png',
    'rwAubrey3.png',
    'rwAubrey3.png',
    'rwAubrey4.png',
    'rwAubrey5.png',
    'rwKel7.png',
    'rwAubrey3.png',
    'rwKel9.png',
    'rwKel7.png',
    'rwKel7.png',
    'rwKel7.png',
    'rwAubrey4.png',
    'rwAubrey3.png',
    'rwAubrey1.png',
    'rwKel12.png',
    'rwKel12.png',
    'rwAubrey3.png',
    'rwAubrey11.png',
    'rwAubrey12.png',
    'rwAubrey5.png',
    'rwKel14.png',
    'rwAubrey8.png',
    'rwKel11.png',
    'rwAubrey5.png',
    'rwAubrey8.png'
];
let currentPicIndex = 0;

// Function to handle button click
function changeClick() {
    // Increment the index or stop at the last index
    if (currentTextIndex < textOptions.length - 1) {
        currentTextIndex++;
        currentNameIndex++;
        currentPicIndex++;
    } else {
        // Disable the button to stop further progression
        button.disabled = true;
        button.style.display = "none";
        resetButton.style.display = "flex";
    }

    // Update the text
    textElement.textContent = textOptions[currentTextIndex];
    nameElement.textContent = nameOptions[currentNameIndex];
    picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

    switch (currentNameIndex) {
        // Kel
        case 1:
        case 3:
        case 4:
        case 6:
        case 7:
        case 10:
        case 11:
        case 15:
        case 16:
        case 18:
        case 19:
        case 21:
        case 23:
        case 24:
        case 32:
        case 34:
        case 35:
        case 36:
        case 37:
        case 41:
        case 42:
        case 47:
        case 49:
            picture.style.marginLeft = kelMargin;
            break;
        // Aubrey
        case 0:
        case 2:
        case 5:
        case 8:
        case 9:
        case 12:
        case 13:
        case 14:
        case 17:
        case 20:
        case 22:
        case 25:
        case 26:
        case 27:
        case 28:
        case 29:
        case 30:
        case 31:
        case 33:
        case 38:
        case 39:
        case 40:
        case 43:
        case 44:
        case 45:
        case 46:
        case 48:
        case 50:
        case 51:
            picture.style.marginLeft = aubreyMargin;
            break;
    }
}

// Function to reset the index
function resetClick() {
    currentTextIndex = 0;
    currentNameIndex = 0;
    currentPicIndex = 0;
    picture.style.marginLeft = aubreyMargin;
    textElement.textContent = textOptions[currentTextIndex];
    nameElement.textContent = nameOptions[currentNameIndex];
    picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

    button.style.display = "flex";
    resetButton.style.display = "none";

    button.disabled = false;
}

// Add event listener to the button
button.addEventListener('click', changeClick);
resetButton.addEventListener('click', resetClick);

// Initial styling to have the reset button hidden
resetButton.style.display = "none";

// Makes sure this is changed to whoever is the initial picture
picture.style.marginLeft = aubreyMargin;
picElement.style.backgroundImage = `url(rwAubrey6.png)`;
