/*****
 * PUT IT AT THE VERY END OF THE BODY!
 * also change textOptions for each dialogue ;3
 ****/

// Get references to the elements
const textElement = document.getElementById('text');
const nameElement = document.getElementById('name');
const picElement = document.getElementById('picture');
const picture = document.getElementById('picture');
const button = document.getElementById('change');
const resetButton = document.getElementById('reset');

// Defines the picture margins
const basilMargin = "248px";
const kelMargin = "265.75px";
const aubreyMargin = "233px";
const heroMargin = "254px";
const mariMargin = "";

// Define an array of text options
const textOptions = [
    'Gladilous! Also known as the "sword flower"!',
    'As you might guess, they represent strength of character.',
    'Someone who is honest, with strong moral values... Someone who stands by their convictions...',
    'The gladiolus reminds me of AUBREY, because she\'s always true to herself!',
    'Oh I see... So what you\'re saying is that AUBREY is really stubborn!',
    'Hey! No, I\'m not!',
    'Haha... Okay! Let\'s move on!'
];
let currentTextIndex = 0;
const nameOptions = ['BASIL', 'BASIL', 'BASIL', 'BASIL', 'KEL', 'AUBREY', 'BASIL'];
let currentNameIndex = 0;
const picOptions = ['dwBasil2.png', 'dwBasil1.png', 'dwBasil1.png', 'dwBasil2.png', 'dwKel3.png', 'dwAubrey11.png', 'dwBasil7.png'];
let currentPicIndex = 0;

// Function to handle button click
function changeClick() {
    // Increment the index or stop at the last index
    if (currentTextIndex < textOptions.length - 1) {
        currentTextIndex++;
        currentNameIndex++;
        currentPicIndex++;
    } else {
        // Disable the button to stop further progression
        button.disabled = true;
        button.style.display = "none";
        resetButton.style.display = "flex";
    }

    // Update the text
    textElement.textContent = textOptions[currentTextIndex];
    nameElement.textContent = nameOptions[currentNameIndex];
    picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

    switch (currentNameIndex) {
        // Basil
        case 0:
            picture.style.marginLeft = basilMargin;
            break;
        case 1:
            picture.style.marginLeft = basilMargin;
            break;
        case 2:
            picture.style.marginLeft = basilMargin;
            break;
        case 3:
            picture.style.marginLeft = basilMargin;
            break;
        case 6:
            picture.style.marginLeft = basilMargin;
            break;
        // Kel
        case 4:
            picture.style.marginLeft = kelMargin;
            break;
        // Aubrey
        case 5:
            picture.style.marginLeft = aubreyMargin;
            break;
    }
}

// Function to reset the index
function resetClick() {
    currentTextIndex = 0;
    currentNameIndex = 0;
    currentPicIndex = 0;
    picture.style.marginLeft = basilMargin;
    textElement.textContent = textOptions[currentTextIndex];
    nameElement.textContent = nameOptions[currentNameIndex];
    picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

    button.style.display = "flex";
    resetButton.style.display = "none";

    button.disabled = false;
}

// Add event listener to the button
button.addEventListener('click', changeClick);
resetButton.addEventListener('click', resetClick);

// Initial styling to have the reset button hidden
resetButton.style.display = "none";

// Makes sure this is changed to whoever is the initial picture
picture.style.marginLeft = basilMargin;
picElement.style.backgroundImage = `url(dwBasil2.png)`;
