/*****
 * PUT IT AT THE VERY END OF THE BODY!
 * also change textOptions for each dialogue ;3
 ****/

// Get references to the elements
const textElement = document.getElementById('text');
const nameElement = document.getElementById('name');
const picElement = document.getElementById('picture');
const picture = document.getElementById('picture');
const button = document.getElementById('change');
const resetButton = document.getElementById('reset');

// Defines the picture margins
const basilMargin = "248px";
const kelMargin = "265.75px";
const aubreyMargin = "233px";
const heroMargin = "254px";
const mariMargin = "";

// Define an array of text options
const textOptions = [
    'Hey SUNNY... Thank you for everything. It\'s probably been tough to leave your house after this time...',
    'but I really appreciate you for doing it for us.',
    'And, hey! Tomorrow\'s the big day!',
    'I hope you\'re not too worried about moving to a new place... If anything, you got us!',
    'Life gets better. You just have to stay positive.',
    'Hmm... Life gets better, huh...',
    'Hey, SUNNY... After you move away...',
    'You should like... maybe come visit once in a while or something.',
    'Yeah! Then, we can all go out for some sandwiches! Or maybe we can all go to the park...',
    'or the beach... or just sit at home and watch TV... Who knows? We can do anything!',
    'Heh... That sounds kinda nice. Do you think my new friends can come too?',
    'Of course they can, AUBREY! You don\'t have to ask! The more the merrier, after all.',
    'Snore... Come on, guys... It\'s time to sleep already...',
    'Hehe... Yeah, yeah...',
    'G\'night, guys...',
    'Good night, KEL. Good night, AUBREY. Good night, SUNNY. See you all in the morning...'
];
let currentTextIndex = 0;
const nameOptions = ['HERO', 'HERO', 'HERO', 'HERO', 'HERO', 'AUBREY', 'AUBREY', 'AUBREY', 'HERO', 'HERO', 'AUBREY', 'HERO', 'KEL', 'AUBREY', 'AUBREY', 'HERO'];
let currentNameIndex = 0;
const picOptions = ['rwHero1.png', 'rwHero1.png', 'rwHero2.png', 'rwHero2.png', 'rwHero3.png', 'rwAubrey3.png', 'rwAubrey14.png', 'rwAubrey14.png', 'rwHero2.png', 'rwHero2.png', 'rwAubrey2.png', 'rwHero2.png', 'rwKel2.png', 'rwAubrey2.png', 'rwAubrey2.png', 'rwHero12.png'];
let currentPicIndex = 0;

// Function to handle button click
function changeClick() {
    // Increment the index or stop at the last index
    if (currentTextIndex < textOptions.length - 1) {
        currentTextIndex++;
        currentNameIndex++;
        currentPicIndex++;
    } else {
        // Disable the button to stop further progression
        button.disabled = true;
        button.style.display = "none";
        resetButton.style.display = "flex";
    }

    // Update the text
    textElement.textContent = textOptions[currentTextIndex];
    nameElement.textContent = nameOptions[currentNameIndex];
    picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

    switch (currentNameIndex) {
        // Hero
        case 0:
        case 1:
        case 2:
        case 3:
        case 4:
        case 8:
        case 9:
        case 11:
        case 15:
            picture.style.marginLeft = heroMargin;
            break;
        // Kel
        case 12:
            picture.style.marginLeft = kelMargin;
            break;
        // Aubrey
        case 5:
        case 6:
        case 7:
        case 10:
        case 13:
        case 14:
            picture.style.marginLeft = aubreyMargin;
            break;
    }
}

// Function to reset the index
function resetClick() {
    currentTextIndex = 0;
    currentNameIndex = 0;
    currentPicIndex = 0;
    picture.style.marginLeft = heroMargin;
    textElement.textContent = textOptions[currentTextIndex];
    nameElement.textContent = nameOptions[currentNameIndex];
    picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

    button.style.display = "flex";
    resetButton.style.display = "none";

    button.disabled = false;
}

// Add event listener to the button
button.addEventListener('click', changeClick);
resetButton.addEventListener('click', resetClick);

// Initial styling to have the reset button hidden
resetButton.style.display = "none";

// Makes sure this is changed to whoever is the initial picture
picture.style.marginLeft = heroMargin;
picElement.style.backgroundImage = `url(rwHero1.png)`;