/*****
 * PUT IT AT THE VERY END OF THE BODY!
 * also change textOptions for each dialogue ;3
 ****/

// Get references to the elements
const textElement = document.getElementById('text');
const nameElement = document.getElementById('name');
const picElement = document.getElementById('picture');
const picture = document.getElementById('picture');
const button = document.getElementById('change');
const resetButton = document.getElementById('reset');

// Defines the picture margins
const basilMargin = "248px";
const kelMargin = "265.75px";
const aubreyMargin = "233px";
const heroMargin = "254px";
const mariMargin = "";

// Define an array of text options
const textOptions = [
  'Whoa! What are these flowers called? They\'re all cool and spiky!',
  'Actually, KEL... This is a cactus!',
  'It\'s more of a plant than a flower... and it\'s funny that you ask, because they remind me of you!',
  'Is it because... he\'s a prick?',
  'Hey!',
  'Well... That too, but mostly because cacti are very sturdy and resilient plants by nature.',
  'They don\'t need much care and can survive in seemingly impossible conditions!',
  'I guess what I\'m saying... is that even you could take care of a cactus, KEL!',
  'Whoa, neat! Cacti are awesome!'
];
let currentTextIndex = 0;
const nameOptions = ['KEL', 'BASIL', 'BASIL', 'AUBREY', 'KEL', 'BASIL', 'BASIL', 'BASIL', 'KEL'];
let currentNameIndex = 0;
const picOptions = ['dwKel4.png', 'dwBasil3.png', 'dwBasil3.png', 'dwAubrey2.png', 'dwKel15.png', 'dwBasil1.png', 'dwBasil1.png', 'dwBasil2.png', 'dwKel3.png'];
let currentPicIndex = 0;

// Function to handle button click
function changeClick() {
  // Increment the index or stop at the last index
  if (currentTextIndex < textOptions.length - 1) {
    currentTextIndex++;
    currentNameIndex++;
    currentPicIndex++;
  } else {
    // Disable the button to stop further progression
    button.disabled = true;
    button.style.display = "none";
    resetButton.style.display = "flex";
  }

  // Update the text
  textElement.textContent = textOptions[currentTextIndex];
  nameElement.textContent = nameOptions[currentNameIndex];
  picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

  switch (currentNameIndex) {
    // Kel
    case 0:
      picture.style.marginLeft = kelMargin;
      break;
    case 4:
      picture.style.marginLeft = kelMargin;
      break;
    case 8:
      picture.style.marginLeft = kelMargin;
      break;
    // Basil
    case 1:
      picture.style.marginLeft = basilMargin;
      break;
    case 2:
      picture.style.marginLeft = basilMargin;
      break;
    case 5:
      picture.style.marginLeft = basilMargin;
      break;
    case 6:
      picture.style.marginLeft = basilMargin;
      break;
    case 7:
      picture.style.marginLeft = basilMargin;
      break;
    // Aubrey
    case 3:
      picture.style.marginLeft = aubreyMargin;
      break;
  }
}

// Function to reset the index
function resetClick() {
  currentTextIndex = 0;
  currentNameIndex = 0;
  currentPicIndex = 0;
  picture.style.marginLeft = kelMargin;
  textElement.textContent = textOptions[currentTextIndex];
  nameElement.textContent = nameOptions[currentNameIndex];
  picElement.style.backgroundImage = `url(${picOptions[currentPicIndex]})`;

  button.style.display = "flex";
  resetButton.style.display = "none";

  button.disabled = false;
}

// Add event listener to the button
button.addEventListener('click', changeClick);
resetButton.addEventListener('click', resetClick);

// Initial styling to have the reset button hidden
resetButton.style.display = "none";

// Makes sure this is changed to whoever is the initial picture
picture.style.marginLeft = kelMargin;
picElement.style.backgroundImage = `url(dwKel4.png)`;
